[sddm-theme/lock screen] Adjust login and lock screen blur effect
ClosedPublic

Authored by rooty on Feb 28 2019, 7:30 AM.

Details

Summary

This patch modifies the login screen and lock screen blur effect.

Test Plan

Before:


After:

Any and all input is appreciated!

Diff Detail

Repository
R120 Plasma Workspace
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
rooty created this revision.Feb 28 2019, 7:30 AM
Restricted Application added a project: Plasma. · View Herald TranscriptFeb 28 2019, 7:30 AM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
rooty requested review of this revision.Feb 28 2019, 7:30 AM
rooty edited the test plan for this revision. (Show Details)Feb 28 2019, 7:31 AM
rooty added reviewers: VDG, ngraham, Plasma, davidedmundson.
rooty retitled this revision from [sddm-theme/lock screen] Adjust login and lock screen blur to [sddm-theme/lock screen] WIP, Adjust login and lock screen blur.
rooty edited the summary of this revision. (Show Details)
rooty edited the test plan for this revision. (Show Details)
rooty retitled this revision from [sddm-theme/lock screen] WIP, Adjust login and lock screen blur to [sddm-theme/lock screen] WIP, Adjust login and lock screen blur effect.Feb 28 2019, 8:05 AM

The relevant preview we need to do is see how the blur looks over a near completely black and a near completely white image.

The relevant preview we need to do is see how the blur looks over a near completely black and a near completely white image.

Nearly entirely but not entirely white/black?

rooty added a comment.Feb 28 2019, 1:00 PM

How's this

  • dark:

and

  • bright:

and

The relevant preview we need to do is see how the blur looks over a near completely black and a near completely white image.

Nearly entirely but not entirely white/black?

I was actually going to ask the same. Find some pretty dark wallpaper and a very light one (e.g. snowscape) so we test it with those backgrounds. Wouldn't be bad if you could also find some ultra busy backgrounds.

Otherwise this does look much better.

Looks readable.
No objections from me.

ngraham requested changes to this revision.Feb 28 2019, 2:01 PM

Huge improvement. Don't forget to change the preview images in lookandfeel/contents/previews/ though!

Also this fixes https://bugs.kde.org/show_bug.cgi?id=398963.

This revision now requires changes to proceed.Feb 28 2019, 2:01 PM
rooty added a comment.Feb 28 2019, 5:14 PM

Huge improvement. Don't forget to change the preview images in lookandfeel/contents/previews/ though!

Also this fixes https://bugs.kde.org/show_bug.cgi?id=398963.

Sure thing.
What do I put the fixed in version as?

5.16.0 since this will be landing in master.

rooty added a comment.EditedFeb 28 2019, 10:49 PM

Should we keep the UserDelegate.qml shadow then? Because it doesn't seem necessary considering the blur's here to stay.

P.S. What happens to the blur if sddm defaults to software rendering?

EDIT: I know I just landed it but there was also the clock shadow there and I really like that new clock shadow :D

rooty updated this revision to Diff 52871.Mar 1 2019, 1:00 AM

Update preview image

rooty retitled this revision from [sddm-theme/lock screen] WIP, Adjust login and lock screen blur effect to [sddm-theme/lock screen] Adjust login and lock screen blur effect.Mar 1 2019, 1:00 AM
rooty updated this revision to Diff 52872.Mar 1 2019, 1:05 AM

Add second user (Katie) to preview

1996? 😆

Also the lock screen has a preview image too: plasma-workspace/lookandfeel/contents/previews/lockscreen.png

Should we keep the UserDelegate.qml shadow then? Because it doesn't seem necessary considering the blur's here to stay.

P.S. What happens to the blur if sddm defaults to software rendering?

EDIT: I know I just landed it but there was also the clock shadow there and I really like that new clock shadow :D

TBH I kind of like the shadows on top of the blur--especially with your new much nicer-looking shadows!

When SDDM uses software rendering, the shadow disappears unless we specifically handle that case and draw an outline instead.

rooty added a comment.EditedMar 1 2019, 7:22 AM

1996? 😆

https://kde.org/announcements/announcement.php (wasn't sure about the date I was sure it was 1996 tho :D)
It seemed preferable to some random date

Didn't know about the lock screen preview image... interesting

TBH I kind of like the shadows on top of the blur--especially with your new much nicer-looking shadows!

When SDDM uses software rendering, the shadow disappears unless we specifically handle that case and draw an outline instead.

In that case, we should consider adding action button label shadows as well.
I wasn't asking about the shadows though, I was asking about what happens to the blur if sddm uses software rendering - because if the software rendered version's blurry too, we might not need a text outline at all.

P.S. The time stands for a very important date too :D

filipf added a comment.Mar 1 2019, 9:10 AM

Should we keep the UserDelegate.qml shadow then? Because it doesn't seem necessary considering the blur's here to stay.

I think they're unnecessary. There's also a bug they cause in 5.15:

Should we keep the UserDelegate.qml shadow then? Because it doesn't seem necessary considering the blur's here to stay.

I think they're unnecessary. There's also a bug they cause in 5.15:

Ouch, nasty bug

Should we keep the UserDelegate.qml shadow then? Because it doesn't seem necessary considering the blur's here to stay.

I think they're unnecessary. There's also a bug they cause in 5.15:

Ouch, nasty bug

Yeah, even if you make the shadow color backgroundColor again it's not good to have white "shadows":

Yeah, that doesn't look great. :/

For elements like the actionbuttons and the username that will always appear over a blur, I guess we should abandon the text shadows. For the clock that sometimes has a shadow, what we should probably do is make the shadow's opacity property public (defaulting to 0.0) and have only the lock screen turn it on when there's no blur. Then when the UI controls and blur appear, it can set that to off. Then you can add an opacity animator to the clock itself so that the shadows's visibility animates when turned on and off.

rooty added a comment.Mar 1 2019, 9:38 PM

Yeah, that doesn't look great. :/

For elements like the actionbuttons and the username that will always appear over a blur, I guess we should abandon the text shadows. For the clock that sometimes has a shadow, what we should probably do is make the shadow's opacity property public (defaulting to 0.0) and have only the lock screen turn it on when there's no blur. Then when the UI controls and blur appear, it can set that to off. Then you can add an opacity animator to the clock itself so that the shadows's visibility animates when turned on and off.

Should I make all of that part of the same patch?

Let's do that separately.

rooty added a comment.Mar 1 2019, 11:55 PM

Okay, then I'll just update the preview here seeing as there's nothing else to be done here

You know, it occurs to me that we should probably change the previews after we're done with all of this, or else each patch will need its own adjusted preview images! Sorry to have steered you wrong there. Remove the preview change and let's get this landed! Such a big improvement.

rooty added a comment.Mar 2 2019, 4:14 AM

You know, it occurs to me that we should probably change the previews after we're done with all of this, or else each patch will need its own adjusted preview images! Sorry to have steered you wrong there. Remove the preview change and let's get this landed! Such a big improvement.

Haha sure thing, we can just submit a final patch with all the previews?

rooty updated this revision to Diff 52930.Mar 2 2019, 4:22 AM

Roll back preview change

ngraham accepted this revision.Mar 2 2019, 4:26 AM
This revision is now accepted and ready to land.Mar 2 2019, 4:26 AM
This revision was automatically updated to reflect the committed changes.